<?php

namespace Drp\SimpleCms\Contracts;

/**
 * Interface ContentRequest
 * @package Drp\SimpleCms
 */
interface ContentRequest
{
    /**
     * Prepare the input using the given content.
     *
     * @param Publishable $content
     * @return array|string
     */
    public function prepareInput(Publishable $content);
}
