<?php

namespace Drp\SimpleCms\Scopes;

use Drp\SimpleCms\Content;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Scope;

/**
 * Class PublishedScope
 * @package Drp\SimpleCms
 */
class PublishedScope implements Scope
{
    /**
     * Apply the scope to a given Eloquent query builder.
     *
     * @param  \Illuminate\Database\Eloquent\Builder $builder
     * @param  \Illuminate\Database\Eloquent\Model $model
     * @return void
     * @SuppressWarnings("unused")
     */
    public function apply(Builder $builder, Model $model)
    {
        $builder->where('status', Content::STATUS_PUBLISHED);
    }
}
