<?php

return [

    'original' => 'View content',

    'review-content' => 'Review content',

    'errors' => [

        'status-invalid' => 'Status was invalid! See Drp\SimpleCms\Contracts\Publishable for valid statuses',

       'name-invalid' => 'Content type was invalid! See config\simple_cms for valid content types',
    ],


        'review' => 'Send for review',

        'review-sent' => 'The content has been sent for review for review',

        'reject' => 'Return to draft',

        'review-rejected' => 'The content is no longer in review and is now a draft',

        'publish' => 'Publish content',

        'unpublish' => 'Un-publish content',

        'unpublish-draft' => 'Un-publish draft content',

        'publish-draft' => 'Publish draft content',

        'force-publish' => 'Force publish content',

        'published' => 'The content has been published',

        'published-status' => 'This content is <span class="label label-:status">:status</span> and is <span class="label label-:visibility">:visibility</span> on the site',

        'unpublished' => 'The content has been un-published and is now a draft',

        'no-change' => 'No changes were made',

        'reset' => 'Reset',

        'was-reset' => 'The content has been reset and the draft copy deleted',

        'not-reset' => 'The content could not be reset, there may not be a published version to fall back to',

        'tooltip' => [

            'view' => 'View the draft content on the site',

            'send' => 'Send a preview link to a previewer',

            'reset' => 'Delete the draft',

            'review' => 'Mark this content as "In review"',

            'publish-draft' => 'Publish the draft content, this will replace the published version',

            'publish' => 'Re-Publish the content, This will make it visible on the site',

            'unpublish' => 'Un-publish the content. This will remove it from the site',

            'original' => 'View the published content on the site',

        ],

        'relationships' => [

            'unpublished' => 'This content has related content that is not published:',

            'persona' => 'The explorer type selected is not published and will not show',

            'market' => 'The market selected is not published so this ethnographic content will not be accessible'

        ]


];
